with GNATCOM.Dispinterface;

package MSHTML.IHTMLInputHiddenElement_Interface is

   type IHTMLInputHiddenElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLInputHiddenElement_Type);

   function Pointer (This : IHTMLInputHiddenElement_Type)
     return Pointer_To_IHTMLInputHiddenElement;

   procedure Attach (This    : in out IHTMLInputHiddenElement_Type;
                     Pointer : in     Pointer_To_IHTMLInputHiddenElement);

   function Get_type
     (This : IHTMLInputHiddenElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_value
     (This : IHTMLInputHiddenElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_value
     (This : IHTMLInputHiddenElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_name
     (This : IHTMLInputHiddenElement_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLInputHiddenElement_Type)
     return GNATCOM.Types.BSTR;

   procedure Put_status
     (This : IHTMLInputHiddenElement_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_status
     (This : IHTMLInputHiddenElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : IHTMLInputHiddenElement_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_disabled
     (This : IHTMLInputHiddenElement_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_form
     (This : IHTMLInputHiddenElement_Type)
     return Pointer_To_IHTMLFormElement;

   function createTextRange
     (This   : IHTMLInputHiddenElement_Type)
     return Pointer_To_IHTMLTxtRange;

end MSHTML.IHTMLInputHiddenElement_Interface;

